none
ProtocolException on HPC 2016 SDK RRS feed

  • Question

  • Hello, I have setup a 1 node HPC 2016 server on Windows 2016

    Server version : 5.0.5826

    SDK version : 5.0.5929

    I have a simple test that does 

    scheduler = new Scheduler();
    scheduler.Connect(schedulerName);
    Version[] serviceVersions;
    try 
    {
      serviceVersions = SessionBase.GetServiceVersions(schedulerName, serviceName);
    }
    catch (Exception ex)
    {
      throw;
    }
    this is catching a Protocol Exception "{"The requested upgrade is not supported by 'net.tcp://<headnodename>:9090/SessionLauncher/Internal'. This could be due to mismatched bindings (for example security enabled on the client and not on the server)."}"

    I have checked every log file on server side and cannot find any explanation , 

    Any help will be appreciated.

    Monday, October 30, 2017 4:31 PM

All replies

  • Hi Antoine,

    Thank you for your feed back. We are trying to reproduce your issue.

    Thanks,
    Zihao

    Tuesday, October 31, 2017 7:53 AM
  • Hi Antoine,

    We have identified this is a regression in HPC Pack SDK version 5.0.5929.0. This will be fixed and a new version of SDK will get published. We'll inform you once new SDK is available.

    Thank you again for your information.

    Zihao.

    Thursday, November 2, 2017 4:29 AM
  • Hi Antonie,

    A new version of HPC Pack SDK has been published. Please find it in following page and have a try.
    https://www.nuget.org/packages/Microsoft.HPC.SDK/5.0.5931

    Thanks,
    Zihao


    Friday, November 3, 2017 7:25 AM
  • Hello Zihao,

    thank you very much for your fast answer and good job to the team for the quick patch

    we will try and let you know.

    Thanks,

    Antoine

    Friday, November 3, 2017 4:25 PM
  • Hello Zihao,

    The new version has fixed our problems with HPC 2016, however we would also need backward compatibility, is it possible to update the 5.1 SDK also ?

    Thanks,

    Antoine

    Monday, November 13, 2017 11:26 AM
  • Hi Antoine,

    HPC Pack 5.1 is currently in preview. We will update corresponding SDK nuget package when HPC Pack 5.1 goes to GA.
    Please note you cannot use SDK nuget version 5.1 with HPC Pack 5.0.

    Thanks,
    Zihao

    Tuesday, November 14, 2017 1:30 AM